Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## ru.mfd.api
Enum Filter.ELogicalOperation

    java.lang.Object
      java.lang.Enum<Filter.ELogicalOperation>
          ru.mfd.api.Filter.ELogicalOperation

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Filter.ELogicalOperation>

Enclosing class:
  Filter

    public static enum Filter.ELogicalOperation

extends java.lang.Enum<Filter.ELogicalOperation>

Enum Constant Summary
`AND`
`OR`

Method Summary
`static Filter.ELogicalOperation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Filter.ELogicalOperation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AND

    public static final Filter.ELogicalOperation AND

### OR

    public static final Filter.ELogicalOperation OR

Method Detail

### values

    public static Filter.ELogicalOperation[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Filter.ELogicalOperation c : Filter.ELogicalOperation.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Filter.ELogicalOperation valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2015 IFH-InfoCentre, Ltd.